
Redmine - Patch #2053

Trac: Migration of ticket:123 or [ticket:34] do not work

2008-10-19 17:13 - Karl Heinz Marbaise

Status: Closed Start date: 2008-10-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 0.8   

Description

Things like ticket:123 or [ticket:123] or [ticket:123 this]@ are not correctly converted into Redmine. I have attached a patch to fix this.

Related issues:

Related to Redmine - Patch #2114: Fixed Bugs in Importer Area New

Associated revisions

Revision 2012 - 2008-11-11 14:28 - Jean-Philippe Lang

Fixed: Trac migration of ticket:123 or [ticket:34] do not work (#2053).

Revision 2013 - 2008-11-11 14:28 - Jean-Philippe Lang

Fixed: Trac migration of ticket:123 or [ticket:34] do not work (#2053).

History

#1 - 2008-10-19 17:34 - Karl Heinz Marbaise

Hi,

the line 266 of the patch is wrong, cause it will create a wiki link instead a link to an issue.

The following part 

 text = text.gsub(/\[ticket\:([^\ ]+)\ (.+?)\]/, '"\2":/issues/show/\1')

can be used instead to simulate the link to a particular issue using some different text.    

Kind regards.

Karl Heinz Marbaise

#2 - 2008-11-11 14:28 - Jean-Philippe Lang

- Status changed from New to Closed

Committed in r2012, r2013. Thanks.
